Results 1 to 6 of 6

Thread: OS 11.2 mileston 4 : flash problem on x86-64

  1. #1

    Default OS 11.2 mileston 4 : flash problem on x86-64

    Hi,

    I just installed milestone 4 on an x86-64 (athlon) box. I am having trouble installing flash from the the default repos. In yast, searching for 'flash' returns an item 'flash-player', which sounds right. I select it and try to install. I get a warning

    'flash player-10.02.........i586 requires libglib-2.0.so.0, but this requirement cannot be fulfilled.'

    It seems like flash wants a *ton* of 32-bit things to be installed, if I select 'ignore dependency' and then continue.

    What is up?

    Thanks,
    David

  2. #2

    Default Re: OS 11.2 mileston 4 : flash problem on x86-64

    Do you have the appropriate repositories enabled? Factory OSS? I'm asking because it is there. It pulls many 32 bit packages because the only way to run flash player without resorting to the alpha stage flash is to use 32 bit flash plugin use nspluginwrapper to use it with 64 bit firefox.

    You may try to install the 64 bit version which is very stable and i personally have no problems with it, just unpack it to /usr/lib64/browser-plugins/ as su .

    Adobe Labs - Downloads: Flash Player 10

    P.S. I can see that it has recently been refreshed
    I was running version from february

    P.S.2 Thanks to you i'm using now the newest 64 bit flash plugin
    How does a linux geek make love??

    - rtfm; unzip; strip; touch; finger; mount; fsck; more; yes; umount; zip; sleep;

  3. #3

    Default Re: OS 11.2 mileston 4 : flash problem on x86-64

    Hi,

    Thanks for the reply! I added this repo:

    download.opensuse.org/factory/repo/oss/

    Which looks like the factory OSS. Then, I ran software mgmt in yast. Without me selecting anything, just 'accept', it wants to install a slew of 32-bit things. Happens even w/ flash de-selected.

    Why is this?

    I keep wondering if 64-bit is really supported or not. Between java, flash, and other things. Seems like the red-headed orphan child.......

    What is the world waiting for? Are there even any 32-bit chips sold anymore? I realize most people don't need 4 gb of ram right now, but why wait??

  4. #4

    Default Re: OS 11.2 mileston 4 : flash problem on x86-64

    Actually, I installed the things from adobe's website, as you suggested, and flash works in firefox! Video and sound on youtube.

    At least that's progress, but what of the suse repos?

  5. #5

    Default Re: OS 11.2 mileston 4 : flash problem on x86-64

    There are some 32 bit libraries installed as a "basis" to have the same functionality in case you need something that is 32 bit only. You can safely remove ALL of them except glibc, glibs-locale, keyutils-libs and there are some xorg packages that if ticked to remove will ask you to remove everything, if that is the case then keep them. Just type 32bit in the search box in software management and remove them. remember, DO NOT remove glibc and glibc-locale.

    P.S. Actually 64 bit openSUSE doesn't lack in anything, you have everything you'd wish for. Flash, Java, and 32 bit libraries are good for example if you want skype, adobe, you just install necessary 32 bit libraries and you can run them with no problems. Besides additional room on the disk for 32 bit packages they do not get used or loaded too often unless you use some 32 bit apps. 64 bit is superior in multimedia applications because it uses those additional registers where 32 bit OSes don't and can't.
    How does a linux geek make love??

    - rtfm; unzip; strip; touch; finger; mount; fsck; more; yes; umount; zip; sleep;

  6. #6
    Join Date
    Nov 2008
    Location
    N. Wales
    Posts
    1,028

    Default Re: OS 11.2 mileston 4 : flash problem on x86-64

    dstrozzi adjusted his/her AFDB on Monday 03 Aug 2009 01:26 to write:

    >
    > Actually, I installed the things from adobe's website, as you suggested,
    > and flash works in firefox! Video and sound on youtube.
    >
    > At least that's progress, but what of the suse repos?
    >
    >


    As the 64bit version is still in Alpha on the adobe site it is up to the
    user to decide if he wants it and so it is not provided by SuSE.

    When trying to get the package from the repos it is therefore the working 32
    bit which needs the 32bit compat libs etc.

    If you want to stick with the repos then for completeness you need the 32bit
    firefox and all the accompanying 32bit libs and flash.

    HTH

    --
    Mark
    Caveat emptor
    Nullus in verba
    Nil illegitimi carborundum

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •